Skip to main content
Settings/AD/LDAP/OAuth Operations
GETAD/LDAP/OAuth OperationsSince 0.6SynchronousAuth Required

QueryLdapBinding

QueryLdapBinding

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • ldapUidStringRequired

      The LDAP UID.

    • ldapServerUuidStringRequired

      The LDAP server UUID.

    • accountUuidStringRequired

      The account UUID.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

Endpoint

GET/zstack/v1/ldap/bindings

/zstack/v1/ldap/bindings

Operation ID

QueryLdapBinding

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/ldap/bindings' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "7e7c5818d2bc4d45b61fdbed5c1a64b0", "ldapUid": "ou\u003dEmployee,uid\u003dtest", "ldapServerUuid": "540e7691df7349c58cff8ffcaf305b9b", "accountUuid": "0829b88f337b4500b2ba28936fe5ae3d" } ] }

Change History

This API has no change history records yet.

View all change history